require "faraday"
Dir[File.dirname(__FILE__) + '/organizer/objects/*.rb'].each do |file|
	require file
end
Dir[File.dirname(__FILE__) + '/organizer/*.rb'].each do |file|
	require file
end

module Organizer
	def Organizer.method_missing(method, *args)
	    params = args[0].is_a?(Hash) ? args[0] : {}

	    path = "#{method}/"

	    if params[:id]
	    	path = path + "#{params.delete(:id)}/"
	    end

	    Request.new(path, params)
  	end

	class APIException < ::Exception; end
	class MissingIdException < APIException; end
end