module Organizer
	class Ticket
		attr_reader :cost, :sales_start
		attr_accessor :name, :description, :free, :quantity_total, 
		:donation, :sales_start

	   	def initialize(params={})
			params.each do |attr, value|
				self.public_send("#{attr}=", value)
			end
	    end

	    def cost= (arg)
	    	raise "Expecting a Hash, got: #{arg.inspect}" unless arg.kind_of?(Hash)
	    	@cost = arg
    	end

    	def sales_start=(arg)
			raise "Expecting a Time, got: #{arg.inspect}" unless arg.kind_of?(Time)
			@sales_start = arg.utc.iso8601
		end
	end
end